diff -c -w help-fns-CVS-2008-02-11.el help-fns-patched-2008-02-11.el
*** help-fns-CVS-2008-02-11.el	Mon Feb 11 14:23:56 2008
--- help-fns-patched-2008-02-11.el	Mon Feb 11 14:28:46 2008
***************
*** 269,275 ****
  		  (symbol-function real-function)
  		function))
  	 file-name string
! 	 (beg (if (commandp def) "an interactive " "a ")))
      (setq string
  	  (cond ((or (stringp def) (vectorp def))
  		 "a keyboard macro")
--- 269,276 ----
  		  (symbol-function real-function)
  		function))
  	 file-name string
! 	 (beg (if (commandp def) "an interactive " "a "))
!          (pt1 (with-current-buffer (help-buffer) (point))))
      (setq string
  	  (cond ((or (stringp def) (vectorp def))
  		 "a keyboard macro")
***************
*** 358,365 ****
  	  (re-search-backward "`\\([^`']+\\)'" nil t)
  	  (help-xref-button 1 'help-function-def real-function file-name))))
      (princ ".")
!     (terpri)
      (when (commandp function)
        (if (and (eq function 'self-insert-command)
  	       (eq (key-binding "a") 'self-insert-command)
  	       (eq (key-binding "b") 'self-insert-command)
--- 359,370 ----
  	  (re-search-backward "`\\([^`']+\\)'" nil t)
  	  (help-xref-button 1 'help-function-def real-function file-name))))
      (princ ".")
!     (with-current-buffer (help-buffer)
!       (fill-region-as-paragraph (save-excursion (goto-char pt1) (forward-line 0) (point))
!                                 (point)))
!     (terpri)(terpri)
      (when (commandp function)
+       (let ((pt2 (with-current-buffer (help-buffer) (point))))
          (if (and (eq function 'self-insert-command)
                   (eq (key-binding "a") 'self-insert-command)
                   (eq (key-binding "b") 'self-insert-command)
***************
*** 379,385 ****
  	    (princ "'"))
  
  	  (when keys
! 	    (princ (if remapped " which is bound to " "It is bound to "))
  	    ;; If lots of ordinary text characters run this command,
  	    ;; don't mention them one by one.
  	    (if (< (length non-modified-keys) 10)
--- 384,390 ----
                (princ "'"))
  
              (when keys
!               (princ (if remapped ", which is bound to " "It is bound to "))
                ;; If lots of ordinary text characters run this command,
                ;; don't mention them one by one.
                (if (< (length non-modified-keys) 10)
***************
*** 393,399 ****
  		(princ "many ordinary text characters"))))
  	  (when (or remapped keys non-modified-keys)
  	    (princ ".")
! 	    (terpri)))))
      (let* ((arglist (help-function-arglist def))
  	   (doc (documentation function))
  	   (usage (help-split-fundoc doc function)))
--- 398,406 ----
                    (princ "many ordinary text characters"))))
              (when (or remapped keys non-modified-keys)
                (princ ".")
!               (terpri))))
!         (with-current-buffer (help-buffer) (fill-region-as-paragraph pt2 (point)))
!         (terpri)))
      (let* ((arglist (help-function-arglist def))
  	   (doc (documentation function))
  	   (usage (help-split-fundoc doc function)))

Diff finished.  Mon Feb 11 14:29:35 2008
